#!/bin/bash
echo "Date time of script execution: $(date) "
echo "Problem WDRTs:"
psql -U ovidr oviddb -c "select wdrt.device_id,  wdrt.syncdate as "SyncDateNotCurrent", wdrt2.syncdate as "SynDateCurrent", wdrt3.last_seen, wdrt.recovery_token as working_token, wdrt3.hostname,  wdrt3.pgp_desktop_version as "PGP_ver",wdrt3.client_os, wdrt3.ip_address from (select device_id, max(synchronized_date) syncdate, is_current, recovery_token from whole_disk_recovery_token where is_current = 'f' group by device_id, is_current, recovery_token) as wdrt, (select device_id, max(synchronized_date) syncdate, is_current from whole_disk_recovery_token where is_current = 't' group by device_id, is_current) as wdrt2, (select machine_id, ip_address, domain, hostname, last_seen, pgp_desktop_version, client_os from  client_machine) as wdrt3 where wdrt.is_current = 'f' and wdrt.syncdate > wdrt2.syncdate and wdrt.device_id = wdrt2.device_id and wdrt.device_id = wdrt3.machine_id;"


echo "Doublicate WDRTs:"
psql -U ovidr oviddb -c "select device_id, count(device_id) from whole_disk_recovery_token where is_current = true group by device_id having count(device_id) > 1;"
